summaryrefslogtreecommitdiff
path: root/system/bacula
diff options
context:
space:
mode:
Diffstat (limited to 'system/bacula')
-rw-r--r--system/bacula/bacula-bat.desktop3
-rw-r--r--system/bacula/bacula.SlackBuild10
2 files changed, 6 insertions, 7 deletions
diff --git a/system/bacula/bacula-bat.desktop b/system/bacula/bacula-bat.desktop
index d0ab5d7051..57d360f20c 100644
--- a/system/bacula/bacula-bat.desktop
+++ b/system/bacula/bacula-bat.desktop
@@ -1,6 +1,5 @@
[Desktop Entry]
Version=1.0
-Encoding=UTF-8
Name=Bacula Bat Console
GenericName=Backup Management Console
Comment=Control your Bacula Server
@@ -8,4 +7,4 @@ Exec=%sbindir%/bat
Icon=/usr/share/icons/hicolor/64x64/apps/bacula.png
Terminal=false
Type=Application
-Categories=System;Application;Utility
+Categories=System;Utility;
diff --git a/system/bacula/bacula.SlackBuild b/system/bacula/bacula.SlackBuild
index 7fa3e1255a..df400cb781 100644
--- a/system/bacula/bacula.SlackBuild
+++ b/system/bacula/bacula.SlackBuild
@@ -29,7 +29,7 @@ TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,8 +40,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -98,7 +98,7 @@ esac
set -e
# Bail if user or group isn't valid on your system
-if ! grep ^bacula: /etc/passwd 2>&1 > /dev/null; then
+if ! getent passwd bacula 2>/dev/null; then
cat << EOF
@@ -110,7 +110,7 @@ cat << EOF
EOF
exit
-elif ! grep ^bacula: /etc/group 2>&1 > /dev/null; then
+elif ! getent group bacula 2>/dev/null; then
cat << EOF